STU3 Patient
The Patient resource describes the "demographics and other administrative information about an individual or animal receiving care or other health-related services." HL7 FHIR STU3 Patient
Supported Profiles
This API supports the following FHIR profiles:
Operations
The General Purpose STU3 API Patient resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.
| CareRecord / Solution | Create | Read | Update | Search |
|---|---|---|---|---|
| GEHRIMED | - | - | - | - |
| myAvatar | - | - | - | - |
| myEvolv | - | - | - | - |
| myUnity | - | - | - | - |
Search
info
Not all Netsmart solutions support Patient search. See supported operations table above and consult your target solution's documentation for more information.
This operation retrieves a list of resources by these query parameters.
Standard Parameters
| Name | Type | Description |
|---|---|---|
| _id | id | Unique identifier of the Patient. Cannot be used with other search parameters. |
| given | String | A portion of the given name of the patient. |
| family | String | A portion of the family name of the patient. |
Custom Parameters
| Name | Type | Description |
|---|---|---|
| end | date | Date/time of death. |
| start | date | Date/time of birth. |
| text | String | Search text. |
Search Examples
Via POST
The POST method is recommended as it keeps health information out of the URL.
- Production
- Preview
Search by id
curl -X POST https://fhir.netsmartcloud.com/fhir/Patient/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "_id=87"
Search by id
curl -X POST https://fhirtest.netsmartcloud.com/fhir/Patient/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "_id=87"
Via GET
- Production
- Preview
Search by id
curl -X GET "https://fhir.netsmartcloud.com/fhir/Patient?_id=87" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"
Search by id
curl -X GET "https://fhirtest.netsmartcloud.com/fhir/Patient?_id=87" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"